---------------------
-- Global Settings --
---------------------
local AddOnName, nsVars = ...
local ss = nsVars.SS

local ssGlobal = ss.dVars.global

local cos, sin = cos, sin

ssGlobal["characters"] = {};

-- global customizable defaults
ssGlobal["general"] = {
  SphereSize = 150,
  MapMarker = {
    locationAngle = 45,
    x             = 52 - (80 * cos(45)),
    y             = ((80 * sin(45)) - 52),
    show          = true,
  },
  scale     = 100,
  smoothing = true,
};

ssGlobal["show"] = {
  playerFrame = false,
  artwork     = true,
};

ssGlobal["track"] = {
  combat = true,
  pet    = true,
};
